Bug 604498 - SELinux is preventing /sbin/killall5 "sys_ptrace" access .
SELinux is preventing /sbin/killall5 "sys_ptrace" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:c316a6adeac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 00:23 EDT by Jeffrey S Austin
Modified: 2010-08-10 07:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey S Austin 2010-06-16 00:23:29 EDT
Summary:

SELinux is preventing /sbin/killall5 "sys_ptrace" access .

Detailed Description:

SELinux denied access requested by pidof. It is not expected that this access is
required by pidof and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:hotplug_t:s0
Target Context                system_u:system_r:hotplug_t:s0
Target Objects                None [ capability ]
Source                        pidof
Source Path                   /sbin/killall5
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           sysvinit-tools-2.87-4.dsf.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-116.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.12-115.fc12.x86_64 #1 SMP Fri Apr 30
                              19:46:25 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 16 Jun 2010 12:09:42 AM EDT
Last Seen                     Wed 16 Jun 2010 12:09:42 AM EDT
Local ID                      e834bfba-cf5d-45ed-80d3-1f7216108d12
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276661382.926:878): avc:  denied  { sys_ptrace } for  pid=28515 comm="pidof" capability=19  scontext=system_u:system_r:hotplug_t:s0 tcontext=system_u:system_r:hotplug_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1276661382.926:878): arch=c000003e syscall=89 success=no exit=-13 a0=7fffbaf2a6a0 a1=e89610 a2=1000 a3=1000 items=0 ppid=28506 pid=28515 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="pidof" exe="/sbin/killall5" subj=system_u:system_r:hotplug_t:s0 key=(null)



Hash String generated from  catchall,pidof,hotplug_t,hotplug_t,capability,sys_ptrace
audit2allow suggests:

#============= hotplug_t ==============
allow hotplug_t self:capability sys_ptrace;
Comment 1 Daniel Walsh 2010-06-16 13:23:39 EDT
Miroslav add as a dontaudit.  Also add in F13/RHEL6
Comment 2 Miroslav Grepl 2010-06-23 03:56:51 EDT
Fixed in selinux-policy-3.6.32-119.fc12

Note You need to log in before you can comment on or make changes to this bug.